<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    [title]="'MERCHANT_MANAGER.MOVEMENTS.FILTERS.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.MOVEMENTS.FILTERS.DESCRIPTION' | translate"
    [results]="(movements$ | async)?.filtered"
    [hasFiltredData]="isMovementsFiltred$ | async"
    (cleanFilters)="onCleanFilters()"
  >
    <div class="main-filter" slot="main-filter">
      <mo-input
        formControlName="search"
        [placeholder]="
          'MERCHANT_MANAGER.MOVEMENTS.FILTERS.SEARCH_BAR' | translate
        "
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
    </div>
    <div slot="filters">
      <div class="filters-container">
        <div class="filters">
          <mo-date
            formControlName="created_at"
            [label]="
              'MERCHANT_MANAGER.MOVEMENTS.FILTERS.DATE_CREATED_TITLE'
                | translate
            "
            [placeholder]="
              'MERCHANT_MANAGER.MOVEMENTS.FILTERS.DATE_CREATED_PLACEHOLDER'
                | translate
            "
          ></mo-date>
          <mo-drop-down
            formControlName="type"
            [options]="typeOptions"
            [label]="'MERCHANT_MANAGER.MOVEMENTS.FILTERS.TYPE' | translate"
            [defaultOptionName]="
              'MERCHANT_MANAGER.MOVEMENTS.FILTERS.TYPE' | translate
            "
          ></mo-drop-down>
        </div>
        <mo-button
          [text]="'APP.FILTERS.BTN_SEARCH' | translate"
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
          [displayBlock]="true"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
        >
        </mo-button>
      </div>
    </div>
  </layout-filter-content>
</form>
